%define	upstream_name	 File-Slurp
%define	upstream_version 9999.32

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Efficient Reading/Writing of Complete Files
Group:      Development/Perl
License:    GPL+ or Artistic
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/File/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(B)
BuildRequires: perl(Carp)
BuildRequires: perl(Errno)
BuildRequires: perl(Exporter) >= 5.570.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Fcntl)
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Spec) >= 3.10.0
BuildRequires: perl(File::Temp)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(POSIX)
BuildRequires: perl(Scalar::Util) >= 1.0.0
BuildRequires: perl(Socket)
BuildRequires: perl(Symbol)
BuildRequires: perl(Test::More)
BuildRequires: perl(overload)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%{?perl_default_filter}

%description
This module provides subs that allow you to read or write entire files with one
simple call. They are designed to be simple to use, have flexible ways to pass
in or get the file contents and to be very efficient. There is also a sub to
read in all the files in a directory other than . and ..

These slurp/spew subs work for files, pipes and sockets, and stdio,
pseudo-files, and DATA.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
chmod 644 lib/File/Slurp.pm

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%{__make} test

%install
%make_install
find %{buildroot} -name "perllocal.pod" | xargs -i rm -f {}

%files
%doc Changes META.json META.yml MYMETA.yml
%{_mandir}/man3*/*
%{perl_vendorlib}/File

%changelog
* Wed Jul 01 2020 tv <tv> 9999.320.0-1.mga8
+ Revision: 1600894
- update to 9999.32

* Mon Jun 29 2020 tv <tv> 9999.310.0-1.mga8
+ Revision: 1600300
- update to 9999.31

* Tue Mar 10 2020 tv <tv> 9999.300.0-1.mga8
+ Revision: 1555195
- update to 9999.30

* Tue Feb 18 2020 umeabot <umeabot> 9999.290.0-2.mga8
+ Revision: 1538899
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Nov 28 2019 tv <tv> 9999.290.0-1.mga8
+ Revision: 1463276
- update to 9999.29

* Sat Sep 14 2019 tv <tv> 9999.280.0-1.mga8
+ Revision: 1440668
- update to 9999.28

* Fri Apr 05 2019 shlomif <shlomif> 9999.270.0-1.mga7
+ Revision: 1386130
- update to 9999.27

* Thu Feb 14 2019 tv <tv> 9999.260.0-1.mga7
+ Revision: 1366962
- update to 9999.26

* Sun Nov 18 2018 tv <tv> 9999.250.0-1.mga7
+ Revision: 1330560
- update to 9999.25

* Tue Oct 30 2018 tv <tv> 9999.240.0-1.mga7
+ Revision: 1326665
- update to v9999.24

* Sun Oct 21 2018 tv <tv> 9999.230.0-1.mga7
+ Revision: 1323178
- update to 9999.23

* Tue Oct 16 2018 tv <tv> 9999.220.0-1.mga7
+ Revision: 1321197
- update to 9999.22

* Wed Oct 10 2018 tv <tv> 9999.210.0-1.mga7
+ Revision: 1319300
- update to 9999.21

* Wed Sep 19 2018 umeabot <umeabot> 9999.190.0-9.mga7
+ Revision: 1268168
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 9999.190.0-8.mga6
+ Revision: 1027591
- Rebuild for perl 5.22.2

* Sat Feb 06 2016 umeabot <umeabot> 9999.190.0-7.mga6
+ Revision: 941428
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 9999.190.0-6.mga5
+ Revision: 750671
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 9999.190.0-5.mga5
+ Revision: 732144
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 9999.190.0-4.mga5
+ Revision: 684768
- Mageia 5 Mass Rebuild

* Mon Oct 21 2013 umeabot <umeabot> 9999.190.0-3.mga4
+ Revision: 538174
- Mageia 4 Mass Rebuild

* Thu Jan 17 2013 pterjan <pterjan> 9999.190.0-2.mga4
+ Revision: 389214
+ rebuild (emptylog)

* Sun Jan 13 2013 umeabot <umeabot> 9999.190.0-2.mga3
+ Revision: 367383
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jun 15 2011 jquelin <jquelin> 9999.190.0-1.mga2
+ Revision: 106966
- update to 9999.19

* Fri Mar 25 2011 jquelin <jquelin> 9999.150.0-1.mga1
+ Revision: 77301
- update to 9999.15

* Thu Mar 24 2011 jquelin <jquelin> 9999.140.0-1.mga1
+ Revision: 76630
- update to 9999.14

* Tue Jan 18 2011 jquelin <jquelin> 9999.130.0-1.mga1
+ Revision: 22430
- cleaning spec file
- imported package perl-File-Slurp

